Skip to main content
GET
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve details of all the payments. By default, only the last 10 records are displayed. You can use the count and skip parameters to retrieve the specific number of records that you need.

Query Parameters

integer
UNIX timestamp, in seconds, from when payments are to be fetched.
integer
UNIX timestamp, in seconds, till when payments are to be fetched.
integer
Number of payments to be fetched.
Default value is 10. Maximum value is 100. This can be used for pagination, in combination with the skip parameter.
integer
Number of records to be skipped while fetching the payments.

Response Parameters

string
Unique identifier of the payment.
string
Indicates the type of entity.
integer
The payment amount in currency subunits. For example, for an amount of ₹1 enter 100.
string
The currency in which the payment is made. Refer to the list of international currencies that we support.
string
The status of the payment. Possible values:
  • created
  • authorized
  • captured
  • refunded
  • failed
string
The payment method used for making the payment. Possible values:
  • card
  • netbanking
  • wallet
  • emi
  • upi
string
Order id, if provided. Know more about Orders.
string
Description of the payment, if any.
boolean
Indicates whether the payment is done via an international card or a domestic one. Possible values:
  • true: Payment made using international card.
  • false: Payment not made using international card.
string
The refund status of the payment. Possible values:
  • null
  • partial
  • full
integer
The amount refunded in currency subunits. For example, if amount_refunded = 100, it is equal to ₹1.
boolean
Indicates if the payment is captured. Possible values:
  • true: Payment has been captured.
  • false: Payment has not been captured.
string
Customer email address used for the payment.
string
Customer contact number used for the payment.
integer
Fee (including GST) charged by Razorpay.
integer
GST charged for the payment.
string
Error that occurred during payment. For example, BAD_REQUEST_ERROR.
string
Description of the error that occurred during payment. For example, Payment processing failed because of incorrect OTP.
string
The point of failure. For example, customer.
string
The stage where the transaction failure occurred. The stages can vary depending on the payment method used to complete the transaction. For example, payment_authentication.
string
The exact error reason. For example, incorrect_otp.
json object
Contains user-defined fields, stored for reference purposes.
integer
Timestamp, in UNIX format, on which the payment was created.
string
The unique identifier of the card used by the customer to make the payment.
object
Details of the card used to make the payment.
string
The unique identifier of the card used by the customer to make the payment.
string
The name of the entity. Here, it is card.
string
Name of the cardholder.
integer
The last 4 digits of the card number.
string
The card network. Possible values:
  • American Express
  • Diners Club (Only available for private limited and registered businesses)
  • Maestro
  • MasterCard
  • RuPay
  • Unknown
  • Visa
string
The card type. Possible values:
  • credit
  • debit
  • prepaid
  • unknown
string
The card issuer. The 4-character code denotes the issuing bank. This attribute will not be set for the card issued by a foreign bank.
boolean
Indicates whether the card can be used for EMI payment method. Possible values:
  • true: Card can be used for EMI payments.
  • false: Card cannot be used for EMI payments.
string
The sub-type of the customer’s card. Possible values:
  • customer
  • business
Know how to accept payments made by customers using corporate cards.
object
Details of the UPI payment received. Only applicable if method is upi.
string
The payment method used for making the payment. Possible values:
  • bank_account
  • credit_card
  • wallet
string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example, gauravkumar@exampleupi.
string
The type of UPI flow. Possible values:
  • intent: When a UPI app is selected and user is redirected to it.
  • collect: The user enters their UPI ID and receives a notification from the UPI app. They open the app and complete the payment.
  • in_app: In case of Turbo UPI Payments.
string
The 4-character bank code which the customer’s account is associated with. For example, UTIB for Axis Bank.
string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example, gauravkumar@exampleupi.
string
The name of the wallet used by the customer to make the payment. For example, payzapp.
object
An object containing unique reference numbers.
string
A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
string
A unique reference number generated for RuPay card payments.
string
A unique reference number provided by the banking partner in case of netbanking payments.
string
The card issuer. The 4-character code denotes the issuing bank. This attribute will not be set for the card issued by a foreign bank.
boolean
Indicates whether the card can be used for EMI payment method. Possible values:
  • true: Card can be used for EMI payments.
  • false: Card cannot be used for EMI payments.
string
The sub-type of the customer’s card. Possible values:
  • customer
  • business Know how to accept payments made by customers using corporate cards.
string
The 4-character bank code which the customer’s account is associated with. For example, UTIB for Axis Bank.
string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example, gauravkumar@exampleupi.
string
The name of the wallet used by the customer to make the payment. For example, payzapp.
array
A dynamic array consisting of a unique reference numbers.
string
A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
string
A unique reference number generated for RuPay card payments.
string
A unique reference number provided by the banking partner in case of netbanking payments.
string
Unique identifier of the token associated with this payment.
string
Unique identifier of the invoice associated with this payment.

Errors

Code: 4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.
Code: 400The time range entered is invalid.Solution: Enter a valid time range between 946684800 and 4765046400.
Code: 400count=0 (or otherwise less than 1) passed in the query string.Solution: Pass count as a positive integer between 1 and 100.
Code: 400count value above 100 in the query string. The Payments list endpoint caps per-page results at 100.Solution: Use a count of 100 or fewer. For larger datasets, paginate using the skip parameter.
Code: 400count query parameter is non-numeric (for example, count=abc).Solution: Pass count as a positive integer.
Code: 400from query parameter is not a UNIX-epoch integer (for example, an ISO date string was passed).Solution: Pass from as a UNIX-epoch integer (for example, 1700000000), not a human-readable date.
Code: 400to query parameter is not a UNIX-epoch integer.Solution: Pass to as a UNIX-epoch integer.
Code: 400skip query parameter was passed as a negative integer.Solution: Pass skip as a non-negative integer (0 or higher).
Code: 400skip query parameter is non-numeric.Solution: Pass skip as a non-negative integer.